net.sf.jasperreports.engine.fonts

## Class SimpleFontExtensionHelper

- java.lang.Object
- - net.sf.jasperreports.engine.fonts.SimpleFontExtensionHelper

- All Implemented Interfaces:
    org.xml.sax.ErrorHandler

      public final class SimpleFontExtensionHelper
      extends java.lang.Object
      implements org.xml.sax.ErrorHandler

  Version:
    $Id: SimpleFontExtensionHelper.java 7090 2014-05-14 07:12:00Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_ENCODING` Default XML output encoding.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `error(org.xml.sax.SAXParseException e)`
    `void` | `fatalError(org.xml.sax.SAXParseException e)`
    `static java.lang.String` | `getFontsXml(java.util.List<FontFamily> fontFamilies)`
    `static SimpleFontExtensionHelper` | `getInstance()` Return a cached instance.
    `java.util.List<FontFamily>` | `loadFontFamilies(java.io.InputStream is)` Deprecated. To be removed.
    `java.util.List<FontFamily>` | `loadFontFamilies(JasperReportsContext jasperReportsContext, java.io.InputStream is)`
    `java.util.List<FontFamily>` | `loadFontFamilies(JasperReportsContext jasperReportsContext, java.lang.String file)`
    `java.util.List<FontFamily>` | `loadFontFamilies(java.lang.String file)`
    `void` | `warning(org.xml.sax.SAXParseException e)`
    `static void` | `writeFontExtensionsProperties(java.lang.String fontFamiliesPropertyValue, java.io.OutputStream outputStream)`
    `static void` | `writeFontExtensionsProperties(java.lang.String fontsXmlLocation, java.lang.String destFileName)`
    `static void` | `writeFontExtensionsProperties(java.lang.String fontRegistryFactoryPropertyName, java.lang.String fontRegistryFactoryPropertyValue, java.lang.String fontFamiliesPropertyName, java.lang.String fontFamiliesPropertyValue, java.io.OutputStream outputStream)`
    `static void` | `writeFontsXml(java.io.OutputStream outputStream, java.util.List<FontFamily> fontFamilies)`
    `static void` | `writeFontsXml(java.lang.String destFileName, java.util.List<FontFamily> fontFamilies)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_ENCODING

          public static final java.lang.String DEFAULT_ENCODING

      Default XML output encoding.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static SimpleFontExtensionHelper getInstance()

      Return a cached instance.
      Returns:
        a cached instance

    - #### loadFontFamilies

          public java.util.List<FontFamily> loadFontFamilies(java.lang.String file)

      See Also:
        `loadFontFamilies(JasperReportsContext, String)`

    - #### loadFontFamilies

          public java.util.List<FontFamily> loadFontFamilies(JasperReportsContext jasperReportsContext,
                                                    java.lang.String file)

    - #### loadFontFamilies

          public java.util.List<FontFamily> loadFontFamilies(JasperReportsContext jasperReportsContext,
                                                    java.io.InputStream is)

    - #### loadFontFamilies

          public java.util.List<FontFamily> loadFontFamilies(java.io.InputStream is)

      Deprecated. To be removed.

    - #### getFontsXml

          public static java.lang.String getFontsXml(java.util.List<FontFamily> fontFamilies)

    - #### writeFontsXml

          public static void writeFontsXml(java.lang.String destFileName,
                           java.util.List<FontFamily> fontFamilies)
                                    throws JRException

      Throws:
        `JRException`

    - #### writeFontsXml

          public static void writeFontsXml(java.io.OutputStream outputStream,
                           java.util.List<FontFamily> fontFamilies)
                                    throws JRException

      Throws:
        `JRException`

    - #### writeFontExtensionsProperties

          public static void writeFontExtensionsProperties(java.lang.String fontsXmlLocation,
                                           java.lang.String destFileName)
                                                    throws JRException

      Throws:
        `JRException`

    - #### writeFontExtensionsProperties

          public static void writeFontExtensionsProperties(java.lang.String fontFamiliesPropertyValue,
                                           java.io.OutputStream outputStream)
                                                    throws JRException

      Throws:
        `JRException`

    - #### writeFontExtensionsProperties

          public static void writeFontExtensionsProperties(java.lang.String fontRegistryFactoryPropertyName,
                                           java.lang.String fontRegistryFactoryPropertyValue,
                                           java.lang.String fontFamiliesPropertyName,
                                           java.lang.String fontFamiliesPropertyValue,
                                           java.io.OutputStream outputStream)
                                                    throws JRException

      Throws:
        `JRException`

    - #### error

          public void error(org.xml.sax.SAXParseException e)

      Specified by:
        `error` in interface `org.xml.sax.ErrorHandler`

    - #### fatalError

          public void fatalError(org.xml.sax.SAXParseException e)

      Specified by:
        `fatalError` in interface `org.xml.sax.ErrorHandler`

    - #### warning

          public void warning(org.xml.sax.SAXParseException e)

      Specified by:
        `warning` in interface `org.xml.sax.ErrorHandler`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com